Bug 510626 - Review Request: olpc-switch-desktop - OLPC utilities for switching desktop environment
Review Request: olpc-switch-desktop - OLPC utilities for switching desktop en...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2009-07-09 17:44 EDT by Daniel Drake
Modified: 2009-08-11 18:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 07:14:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbrobinson: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Drake 2009-07-09 17:44:01 EDT
Spec URL: http://dev.laptop.org/~dsd/20090709/olpc-switch-desktop.spec
SRPM URL: http://dev.laptop.org/~dsd/20090709/olpc-switch-desktop-0.5-1.fc11.src.rpm
Description:

This new package provides a Sugar control panel extension for switching to GNOME, and a GNOME app for switching to sugar. It is used in the Fedora-for-XO spin. Please consider for Fedora inclusion.
Comment 1 Peter Robinson 2009-07-14 11:28:44 EDT
I'll review this one
Comment 2 Peter Robinson 2009-07-15 09:19:47 EDT
Looks OK. There's just a few rpmlink issues that need fixing.


+ rpmlint output

rpmlint olpc-switch-desktop-0.5-1.fc11.src.rpm olpc-switch-desktop-0.5-1.fc11.noarch.rpm olpc-switch-desktop.spec 
olpc-switch-desktop.noarch: W: non-standard-uid /usr/share/icons/hicolor/scalable/apps/olpc-switch-to-sugar.svg perobinson
olpc-switch-desktop.noarch: W: non-standard-gid /usr/share/icons/hicolor/scalable/apps/olpc-switch-to-sugar.svg perobinson
olpc-switch-desktop.noarch: W: non-standard-uid /usr/share/applications/olpc-switch-to-sugar.desktop perobinson
olpc-switch-desktop.noarch: W: non-standard-gid /usr/share/applications/olpc-switch-to-sugar.desktop perobinson
olpc-switch-desktop.noarch: W: non-standard-uid /usr/share/sugar/data/icons/module-switch-desktop.svg perobinson
olpc-switch-desktop.noarch: W: non-standard-gid /usr/share/sugar/data/icons/module-switch-desktop.svg perobinson
olpc-switch-desktop.noarch: E: invalid-desktopfile /usr/share/applications/olpc-switch-to-sugar.desktop
2 packages and 1 specfiles checked; 1 errors, 6 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm

  01de4290bd8a339859b6ff1cb12c3b0f  olpc-switch-desktop-0.5.tar.bz2

+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
+ packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 3 Daniel Drake 2009-07-15 10:56:38 EDT
Thanks! Released a v0.6 with the fixed .desktop file, no other changes

http://dev.laptop.org/~dsd/20090715/olpc-switch-desktop.spec
http://dev.laptop.org/~dsd/20090715/olpc-switch-desktop-0.6-1.fc11.src.rpm

The uid/gid warnings are because you are checking rpmbuild-built RPMs, it works ok when you use koji or mock.
Comment 4 Peter Robinson 2009-07-15 11:27:27 EDT
desktop issue fixed. The other errors can be fixed using %attr(0644,root,root)

Not a blocker so APPROVED.
Comment 5 Daniel Drake 2009-07-15 11:45:16 EDT
New Package CVS Request
=======================
Package Name: olpc-switch-desktop
Short Description: OLPC desktop switching utilities
Owners: dsd pbrobinson cjb
Branches: F-11
InitialCC:
Comment 6 Kevin Fenzi 2009-07-16 01:42:48 EDT
cvs done.
Comment 7 Fedora Update System 2009-07-16 07:13:02 EDT
olpc-switch-desktop-0.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/olpc-switch-desktop-0.6-1.fc11
Comment 8 Daniel Drake 2009-07-16 07:14:19 EDT
Thanks!
Comment 9 Christoph Wickert 2009-07-16 09:23:28 EDT
Sorry for popping in so late, I completely missed this review.

What provides %{_datadir}/sugar/extensions/ and %{_datadir}/sugar/extensions/cpsection? I don't have these directories on my XO. Just want to make sure there are no unowned dirs.

Consider adding INSTALL='install -p' to make install in order to preserve timestamps. Not that it really matters for the XO, just for completeness.
Comment 10 Daniel Drake 2009-07-16 09:53:04 EDT
Those directories are owned by sugar.

Why do we want the install change? I can't see any other Fedora packages which do this.
Comment 11 Christoph Wickert 2009-07-16 14:21:39 EDT
(In reply to comment #10)
> Those directories are owned by sugar.

Fine.

> Why do we want the install change? I can't see any other Fedora packages which
> do this.  

There are lots of packages with 
  make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

see https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

In fact, every package that installs stuff that did not get compiled should have it. The reason for this is that we support multiarch systems in Fedora, where you can install both a 32 bit and 64 bit version of a package. rpm will allow a file to be owned be multiple packages as long as size and timestamp match - otherwise the packages will conflict.

Since the XO is not multilib, this is a minor issue, no need for a rebuild, but you can fix it in the next version.
Comment 12 Fedora Update System 2009-08-11 18:33:28 EDT
olpc-switch-desktop-0.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.